petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmRestoreField

Restore access to the underlying array storing all entries associated with a registered field

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmRestoreField(DM dm,const char fieldname[],PetscInt *blocksize,PetscDataType *type,void **data)

Not collective

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name to identify this field

### Output parameters

| blocksize | - the number of each data type
| type | - the data type
| data | - pointer to raw array

### Notes

The user must call DMSwarmGetField() prior to calling DMSwarmRestoreField().

### See Also

DMSwarmGetField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages